<?php
declare (strict_types = 1);
/**
 * +----------------------------------------------------------------------
 * | 管理员日志控制器
 * +----------------------------------------------------------------------
 */
namespace app\sys\controller;

// 引入框架内置类
use think\facade\View;

use app\common\model\System as SystemModel;

class System extends Base
{
    public function index()
    {
        $list = SystemModel::select();

        View::assign('list', $list);

        return View::fetch();
    }

    public function delete($id)
    {
        if ($this->app->request->isPost()) {
            if (SystemModel::destroy($id)) {
                return ['code' => 1,'msg'=>'删除成功'];
            } else {
                return ['code' => 0,'msg'=>'删除失败'];
            }
        }
    }
}
